#include <stdio.h>
#include <stdlib.h>
#include <libvirt/libvirt.h>

static void printCapabilities(virConnect *conn)
{
  char *cap = NULL;

  cap = virConnectGetCapabilities(conn);
  printf("%s\n", cap);
  free(cap);
}

int main()
{
  virConnect *conn = NULL;
 
  conn = virConnectOpen(NULL);
  if (!conn)
    return -1;

  printCapabilities(conn);

  virConnectClose(conn);
  return 0;
}
