#!/usr/bin/python
import libvirt
import sys

try:
    conn = libvirt.open(None)
    if len(sys.argv) != 3 :
        print "usage: %s id [--attach|--detach] < mydevice.xml" % sys.argv[0] 
        sys.exit(1)

    id = sys.argv[1]
    dom = conn.lookupByID(int(id))
    xmlDesc = ""
    for line in sys.stdin:
        xmlDesc += line

    if sys.argv[2] == "--attach" :
        dom.attachDevice(xmlDesc)
    elif sys.argv[2] == "--detach" :
        dom.attachDevice(xmlDesc)

    print dom.XMLDesc(libvirt.VIR_DOMAIN_XML_SECURE)

except:
    sys.exit(1)
